# sha512_256 | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- sha512
  - sha512_256

## Index

### Constructors

- constructor

### Properties

- destroyed
- readable
- readableEncoding
- readableEnded
- readableFlowing
- readableHighWaterMark
- readableLength
- readableObjectMode
- writable
- writableCorked
- writableEnded
- writableFinished
- writableHighWaterMark
- writableLength
- writableObjectMode

### Methods

- [Symbol.asyncIterator]
- _destroy
- _final
- _flush
- _read
- _transform
- _write
- _writev
- addListener
- copy
- cork
- destroy
- digest
- emit
- end
- eventNames
- getMaxListeners
- isPaused
- listenerCount
- listeners
- off
- on
- once
- pause
- pipe
- prependListener
- prependOnceListener
- push
- rawListeners
- read
- removeAllListeners
- removeListener
- resume
- setDefaultEncoding
- setEncoding
- setMaxListeners
- uncork
- unpipe
- unshift
- update
- wrap
- write

## Constructors

### constructor

- new sha512_256(): sha512_256

- Overrides sha512.constructor

  - Defined in packages/transactions/src/utils.ts:65

  #### Returns sha512_256

## Properties

### destroyed

destroyed: boolean

Inherited from sha512.destroyed

- Defined in node_modules/@types/node/stream.d.ts:40

### readable

readable: boolean

Inherited from sha512.readable

- Defined in node_modules/@types/node/stream.d.ts:33

### Readonly readableEncoding

readableEncoding: null | BufferEncoding

Inherited from sha512.readableEncoding

- Defined in node_modules/@types/node/stream.d.ts:34

### Readonly readableEnded

readableEnded: boolean

Inherited from sha512.readableEnded

- Defined in node_modules/@types/node/stream.d.ts:35

### Readonly readableFlowing

readableFlowing: null | boolean

Inherited from sha512.readableFlowing

- Defined in node_modules/@types/node/stream.d.ts:36

### Readonly readableHighWaterMark

readableHighWaterMark: number

Inherited from sha512.readableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:37

### Readonly readableLength

readableLength: number

Inherited from sha512.readableLength

- Defined in node_modules/@types/node/stream.d.ts:38

### Readonly readableObjectMode

readableObjectMode: boolean

Inherited from sha512.readableObjectMode

- Defined in node_modules/@types/node/stream.d.ts:39

### Readonly writable

writable: boolean

Inherited from sha512.writable

- Defined in node_modules/@types/node/stream.d.ts:252

### Readonly writableCorked

writableCorked: number

Inherited from sha512.writableCorked

- Defined in node_modules/@types/node/stream.d.ts:258

### Readonly writableEnded

writableEnded: boolean

Inherited from sha512.writableEnded

- Defined in node_modules/@types/node/stream.d.ts:253

### Readonly writableFinished

writableFinished: boolean

Inherited from sha512.writableFinished

- Defined in node_modules/@types/node/stream.d.ts:254

### Readonly writableHighWaterMark

writableHighWaterMark: number

Inherited from sha512.writableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:255

### Readonly writableLength

writableLength: number

Inherited from sha512.writableLength

- Defined in node_modules/@types/node/stream.d.ts:256

### Readonly writableObjectMode

writableObjectMode: boolean

Inherited from sha512.writableObjectMode

- Defined in node_modules/@types/node/stream.d.ts:257

## Methods

### [Symbol.asyncIterator]

- [Symbol.asyncIterator](): AsyncIterableIterator<any>

- Inherited from sha512.__@asyncIterator

  - Defined in node_modules/@types/node/stream.d.ts:129

  #### Returns AsyncIterableIterator<any>

### _destroy

- _destroy(error: null | Error, callback: (error: null | Error) => void): void

- Inherited from sha512._destroy

  - Defined in node_modules/@types/node/stream.d.ts:262

  #### Parameters

  - ##### error: null | Error

  - ##### callback: (error: null | Error) => void

    - - (error: null | Error): void

      - #### Parameters

        - ##### error: null | Error

        #### Returns void

### _final

- _final(callback: (error?: null | Error) => void): void

- Inherited from sha512._final

  - Defined in node_modules/@types/node/stream.d.ts:263

  #### Parameters

  - ##### callback: (error?: null | Error) => void

    - - (error?: null | Error): void

      - #### Parameters

        - ##### Optional error: null | Error

        #### Returns void

### _flush

- _flush(callback: TransformCallback): void

- Inherited from sha512._flush

  - Defined in node_modules/@types/node/stream.d.ts:289

  #### Parameters

  - ##### callback: TransformCallback

  #### Returns void

### _read

- _read(size: number): void

- Inherited from sha512._read

  - Defined in node_modules/@types/node/stream.d.ts:42

  #### Parameters

  - ##### size: number

  #### Returns void

### _transform

- _transform(chunk: any, encoding: BufferEncoding, callback: TransformCallback): void

- Inherited from sha512._transform

  - Defined in node_modules/@types/node/stream.d.ts:288

  #### Parameters

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: TransformCallback

  #### Returns void

### _write

- _write(chunk: any, encoding: BufferEncoding, callback: (error?: null | Error) => void): void

- Inherited from sha512._write

  - Defined in node_modules/@types/node/stream.d.ts:260

  #### Parameters

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: (error?: null | Error) => void

    - - (error?: null | Error): void

      - #### Parameters

        - ##### Optional error: null | Error

        #### Returns void

### Optional _writev

- _writev(chunks: { chunk: any; encoding: BufferEncoding }[], callback: (error?: null | Error) => void): void

- Inherited from sha512._writev

  - Defined in node_modules/@types/node/stream.d.ts:261

  #### Parameters

  - ##### chunks: { chunk: any; encoding: BufferEncoding }[]

  - ##### callback: (error?: null | Error) => void

    - - (error?: null | Error): void

      - #### Parameters

        - ##### Optional error: null | Error

        #### Returns void

### addListener

- addListener(event: "close", listener: () => void): sha512_256
- addListener(event: "data", listener: (chunk: any) => void): sha512_256
- addListener(event: "end", listener: () => void): sha512_256
- addListener(event: "error", listener: (err: Error) => void): sha512_256
- addListener(event: "pause", listener: () => void): sha512_256
- addListener(event: "readable", listener: () => void): sha512_256
- addListener(event: "resume", listener: () => void): sha512_256
- addListener(event: string | symbol, listener: (...args: any[]) => void): sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:66

  Event emitter The defined events on documents including:

  1. close
  2. data
  3. end
  4. error
  5. pause
  6. readable
  7. resume

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:67

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:68

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:69

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error) => void

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:70

  #### Parameters

  - ##### event: "pause"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:71

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:72

  #### Parameters

  - ##### event: "resume"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.addListener

  - Defined in node_modules/@types/node/stream.d.ts:73

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns sha512_256

### copy

- copy(): Hash

- Inherited from sha512.copy

  - Defined in node_modules/@types/node/crypto.d.ts:157

  #### Returns Hash

### cork

- cork(): void

- Inherited from sha512.cork

  - Defined in node_modules/@types/node/stream.d.ts:270

  #### Returns void

### destroy

- destroy(error?: Error): void

- Inherited from sha512.destroy

  - Defined in node_modules/@types/node/stream.d.ts:53

  #### Parameters

  - ##### Optional error: Error

  #### Returns void

### digest

- digest(): Buffer
- digest(encoding: BufferEncoding): string

- Overrides sha512.digest

  - Defined in packages/transactions/src/utils.ts:89

  #### Returns Buffer

- Overrides sha512.digest

  - Defined in packages/transactions/src/utils.ts:90

  #### Parameters

  - ##### encoding: BufferEncoding

  #### Returns string

### emit

- emit(event: "close"): boolean
- emit(event: "data", chunk: any): boolean
- emit(event: "end"): boolean
- emit(event: "error", err: Error): boolean
- emit(event: "pause"): boolean
- emit(event: "readable"): boolean
- emit(event: "resume"): boolean
- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:75

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:76

  #### Parameters

  - ##### event: "data"

  - ##### chunk: any

  #### Returns boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:77

  #### Parameters

  - ##### event: "end"

  #### Returns boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:78

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:79

  #### Parameters

  - ##### event: "pause"

  #### Returns boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:80

  #### Parameters

  - ##### event: "readable"

  #### Returns boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:81

  #### Parameters

  - ##### event: "resume"

  #### Returns boolean

- Inherited from sha512.emit

  - Defined in node_modules/@types/node/stream.d.ts:82

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### end

- end(cb?: () => void): void
- end(chunk: any, cb?: () => void): void
- end(chunk: any, encoding?: BufferEncoding, cb?: () => void): void

- Inherited from sha512.end

  - Defined in node_modules/@types/node/stream.d.ts:267

  #### Parameters

  - ##### Optional cb: () => void

    - - (): void

      - #### Returns void

- Inherited from sha512.end

  - Defined in node_modules/@types/node/stream.d.ts:268

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: () => void

    - - (): void

      - #### Returns void

- Inherited from sha512.end

  - Defined in node_modules/@types/node/stream.d.ts:269

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: BufferEncoding

  - ##### Optional cb: () => void

    - - (): void

      - #### Returns void

### eventNames

- eventNames(): (string | symbol)[]

- Inherited from sha512.eventNames

  - Defined in node_modules/@types/node/events.d.ts:77

  #### Returns (string | symbol)[]

### getMaxListeners

- getMaxListeners(): number

- Inherited from sha512.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:69

  #### Returns number

### isPaused

- isPaused(): boolean

- Inherited from sha512.isPaused

  - Defined in node_modules/@types/node/stream.d.ts:47

  #### Returns boolean

### listenerCount

- listenerCount(event: string | symbol): number

- Inherited from sha512.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:73

  #### Parameters

  - ##### event: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from sha512.listeners

  - Defined in node_modules/@types/node/events.d.ts:70

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: (...args: any[]) => void): sha512_256

- Inherited from sha512.off

  - Defined in node_modules/@types/node/events.d.ts:66

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns sha512_256

### on

- on(event: "close", listener: () => void): sha512_256
- on(event: "data", listener: (chunk: any) => void): sha512_256
- on(event: "end", listener: () => void): sha512_256
- on(event: "error", listener: (err: Error) => void): sha512_256
- on(event: "pause", listener: () => void): sha512_256
- on(event: "readable", listener: () => void): sha512_256
- on(event: "resume", listener: () => void): sha512_256
- on(event: string | symbol, listener: (...args: any[]) => void): sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:84

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:85

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:86

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:87

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error) => void

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:88

  #### Parameters

  - ##### event: "pause"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:89

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:90

  #### Parameters

  - ##### event: "resume"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.on

  - Defined in node_modules/@types/node/stream.d.ts:91

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns sha512_256

### once

- once(event: "close", listener: () => void): sha512_256
- once(event: "data", listener: (chunk: any) => void): sha512_256
- once(event: "end", listener: () => void): sha512_256
- once(event: "error", listener: (err: Error) => void): sha512_256
- once(event: "pause", listener: () => void): sha512_256
- once(event: "readable", listener: () => void): sha512_256
- once(event: "resume", listener: () => void): sha512_256
- once(event: string | symbol, listener: (...args: any[]) => void): sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:93

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:94

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:95

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:96

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error) => void

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:97

  #### Parameters

  - ##### event: "pause"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:98

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:99

  #### Parameters

  - ##### event: "resume"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.once

  - Defined in node_modules/@types/node/stream.d.ts:100

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns sha512_256

### pause

- pause(): sha512_256

- Inherited from sha512.pause

  - Defined in node_modules/@types/node/stream.d.ts:45

  #### Returns sha512_256

### pipe

- pipe<T>(destination: T, options?: { end?: boolean }): T

- Inherited from sha512.pipe

  - Defined in node_modules/@types/node/stream.d.ts:10

  #### Type parameters

  - #### T: WritableStream<T>

  #### Parameters

  - ##### destination: T

  - ##### Optional options: { end?: boolean }

    - ##### Optional end?: boolean

  #### Returns T

### prependListener

- prependListener(event: "close", listener: () => void): sha512_256
- prependListener(event: "data", listener: (chunk: any) => void): sha512_256
- prependListener(event: "end", listener: () => void): sha512_256
- prependListener(event: "error", listener: (err: Error) => void): sha512_256
- prependListener(event: "pause", listener: () => void): sha512_256
- prependListener(event: "readable", listener: () => void): sha512_256
- prependListener(event: "resume", listener: () => void): sha512_256
- prependListener(event: string | symbol, listener: (...args: any[]) => void): sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:102

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:103

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:104

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:105

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error) => void

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:106

  #### Parameters

  - ##### event: "pause"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:107

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:108

  #### Parameters

  - ##### event: "resume"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:109

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns sha512_256

### prependOnceListener

- prependOnceListener(event: "close", listener: () => void): sha512_256
- prependOnceListener(event: "data", listener: (chunk: any) => void): sha512_256
- prependOnceListener(event: "end", listener: () => void): sha512_256
- prependOnceListener(event: "error", listener: (err: Error) => void): sha512_256
- prependOnceListener(event: "pause", listener: () => void): sha512_256
- prependOnceListener(event: "readable", listener: () => void): sha512_256
- prependOnceListener(event: "resume", listener: () => void): sha512_256
- prependOnceListener(event: string | symbol, listener: (...args: any[]) => void): sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:111

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:112

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:113

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:114

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error) => void

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:115

  #### Parameters

  - ##### event: "pause"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:116

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:117

  #### Parameters

  - ##### event: "resume"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:118

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns sha512_256

### push

- push(chunk: any, encoding?: BufferEncoding): boolean

- Inherited from sha512.push

  - Defined in node_modules/@types/node/stream.d.ts:51

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: BufferEncoding

  #### Returns boolean

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from sha512.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:71

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### read

- read(size?: number): any

- Inherited from sha512.read

  - Defined in node_modules/@types/node/stream.d.ts:43

  #### Parameters

  - ##### Optional size: number

  #### Returns any

### removeAllListeners

- removeAllListeners(event?: string | symbol): sha512_256

- Inherited from sha512.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:67

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns sha512_256

### removeListener

- removeListener(event: "close", listener: () => void): sha512_256
- removeListener(event: "data", listener: (chunk: any) => void): sha512_256
- removeListener(event: "end", listener: () => void): sha512_256
- removeListener(event: "error", listener: (err: Error) => void): sha512_256
- removeListener(event: "pause", listener: () => void): sha512_256
- removeListener(event: "readable", listener: () => void): sha512_256
- removeListener(event: "resume", listener: () => void): sha512_256
- removeListener(event: string | symbol, listener: (...args: any[]) => void): sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:120

  #### Parameters

  - ##### event: "close"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:121

  #### Parameters

  - ##### event: "data"

  - ##### listener: (chunk: any) => void

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:122

  #### Parameters

  - ##### event: "end"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:123

  #### Parameters

  - ##### event: "error"

  - ##### listener: (err: Error) => void

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:124

  #### Parameters

  - ##### event: "pause"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:125

  #### Parameters

  - ##### event: "readable"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:126

  #### Parameters

  - ##### event: "resume"

  - ##### listener: () => void

    - - (): void

      - #### Returns void

  #### Returns sha512_256

- Inherited from sha512.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:127

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: (...args: any[]) => void

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns sha512_256

### resume

- resume(): sha512_256

- Inherited from sha512.resume

  - Defined in node_modules/@types/node/stream.d.ts:46

  #### Returns sha512_256

### setDefaultEncoding

- setDefaultEncoding(encoding: BufferEncoding): sha512_256

- Inherited from sha512.setDefaultEncoding

  - Defined in node_modules/@types/node/stream.d.ts:266

  #### Parameters

  - ##### encoding: BufferEncoding

  #### Returns sha512_256

### setEncoding

- setEncoding(encoding: BufferEncoding): sha512_256

- Inherited from sha512.setEncoding

  - Defined in node_modules/@types/node/stream.d.ts:44

  #### Parameters

  - ##### encoding: BufferEncoding

  #### Returns sha512_256

### setMaxListeners

- setMaxListeners(n: number): sha512_256

- Inherited from sha512.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:68

  #### Parameters

  - ##### n: number

  #### Returns sha512_256

### uncork

- uncork(): void

- Inherited from sha512.uncork

  - Defined in node_modules/@types/node/stream.d.ts:271

  #### Returns void

### unpipe

- unpipe(destination?: WritableStream): sha512_256

- Inherited from sha512.unpipe

  - Defined in node_modules/@types/node/stream.d.ts:48

  #### Parameters

  - ##### Optional destination: WritableStream

  #### Returns sha512_256

### unshift

- unshift(chunk: any, encoding?: BufferEncoding): void

- Inherited from sha512.unshift

  - Defined in node_modules/@types/node/stream.d.ts:49

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: BufferEncoding

  #### Returns void

### update

- update(data: BinaryLike): Hash
- update(data: string, input_encoding: Encoding): Hash

- Inherited from sha512.update

  - Defined in node_modules/@types/node/crypto.d.ts:158

  #### Parameters

  - ##### data: BinaryLike

  #### Returns Hash

- Inherited from sha512.update

  - Defined in node_modules/@types/node/crypto.d.ts:159

  #### Parameters

  - ##### data: string

  - ##### input_encoding: Encoding

  #### Returns Hash

### wrap

- wrap(oldStream: ReadableStream): sha512_256

- Inherited from sha512.wrap

  - Defined in node_modules/@types/node/stream.d.ts:50

  #### Parameters

  - ##### oldStream: ReadableStream

  #### Returns sha512_256

### write

- write(chunk: any, encoding?: BufferEncoding, cb?: (error: undefined | null | Error) => void): boolean
- write(chunk: any, cb?: (error: undefined | null | Error) => void): boolean

- Inherited from sha512.write

  - Defined in node_modules/@types/node/stream.d.ts:264

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: BufferEncoding

  - ##### Optional cb: (error: undefined | null | Error) => void

    - - (error: undefined | null | Error): void

      - #### Parameters

        - ##### error: undefined | null | Error

        #### Returns void

  #### Returns boolean

- Inherited from sha512.write

  - Defined in node_modules/@types/node/stream.d.ts:265

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: (error: undefined | null | Error) => void

    - - (error: undefined | null | Error): void

      - #### Parameters

        - ##### error: undefined | null | Error

        #### Returns void

  #### Returns boolean

Generated using TypeDoc